org.eclipse.viatra.query.runtime.matchers.psystem.rewriters

## Enum ConstraintRemovalReason

- java.lang.Object
- - java.lang.Enum<ConstraintRemovalReason>
  - - org.eclipse.viatra.query.runtime.matchers.psystem.rewriters.ConstraintRemovalReason

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ConstraintRemovalReason>, IDerivativeModificationReason

      public enum ConstraintRemovalReason
      extends java.lang.Enum<ConstraintRemovalReason>
      implements IDerivativeModificationReason

  Common reasons for removing constraint through rewriters
  No Reference:
    This enum is not intended to be referenced by clients.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DUPLICATE`
    `MOOT_EQUALITY`
    `TYPE_SUBSUMED`
    `WEAK_INEQUALITY_SELF_LOOP`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ConstraintRemovalReason` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ConstraintRemovalReason[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MOOT_EQUALITY

          public static final ConstraintRemovalReason MOOT_EQUALITY

    - #### WEAK_INEQUALITY_SELF_LOOP

          public static final ConstraintRemovalReason WEAK_INEQUALITY_SELF_LOOP

    - #### TYPE_SUBSUMED

          public static final ConstraintRemovalReason TYPE_SUBSUMED

    - #### DUPLICATE

          public static final ConstraintRemovalReason DUPLICATE

  - ### Method Detail

    - #### values

          public static ConstraintRemovalReason[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConstraintRemovalReason c : ConstraintRemovalReason.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConstraintRemovalReason valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null